Loading...
Searching...
No Matches
gx_gui::UiSelectorWithCaption Class Reference

`#include <gx_main_interface.h>`

Inheritance diagram for gx_gui::UiSelectorWithCaption:

## Public Member Functions

| UiSelectorWithCaption (const char *label)
void | set_name (const Glib::ustring &n)
void | set_rack_label_inverse ()
Gxw::Selector * | get_selector ()

## Private Attributes

Gxw::Selector | m_selector
Gtk::Label | m_label

## Detailed Description

Definition at line 156 of file gx_main_interface.h.

## Constructor & Destructor Documentation

## UiSelectorWithCaption()

gx_gui::UiSelectorWithCaption::UiSelectorWithCaption | ( | const char * | label | ) |

## Member Function Documentation

## get_selector()

Gxw::Selector * gx_gui::UiSelectorWithCaption::get_selector | ( |  | ) |

inline

Definition at line 164 of file gx_main_interface.h.

## set_name()

void gx_gui::UiSelectorWithCaption::set_name | ( | const Glib::ustring & | n | ) |

inline

Definition at line 162 of file gx_main_interface.h.

## set_rack_label_inverse()

void gx_gui::UiSelectorWithCaption::set_rack_label_inverse | ( |  | ) |

inline

Definition at line 163 of file gx_main_interface.h.

## Member Data Documentation

## m_label

Gtk::Label gx_gui::UiSelectorWithCaption::m_label

private

Definition at line 159 of file gx_main_interface.h.

Referenced by set_rack_label_inverse().

## m_selector

Gxw::Selector gx_gui::UiSelectorWithCaption::m_selector

private

Definition at line 158 of file gx_main_interface.h.

Referenced by get_selector(), and set_name().

The documentation for this class was generated from the following file:

- src/headers/gx_main_interface.h